<?php
 
namespace EasyChat\Model;

abstract class Base {
    protected $registry;
    protected $db;
    protected $prefix;

    function __construct($registry) {
        $this->registry = $registry;
        $this->db = $registry->get('db');
        $this->prefix = easychat_db_prefix();
    }
}
